Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		nawk
Version:	20180827
Release:	alt1_6
Summary:	"The one true awk" descended from UNIX V7
License:	MIT
URL:		https://github.com/onetrueawk/awk
Source0:	https://github.com/onetrueawk/awk/archive/%{version}.tar.gz

# remove obsolete macros and change name from awk to nawk 
Patch0:		nawk-manpage.patch
BuildRequires:  gcc
BuildRequires:	bison
Source44: import.info

%description
This is the version of awk described in "The AWK Programming Language", by Al 
Aho, Brian Kernighan, and Peter Weinberger. (Addison-Wesley, 1988, ISBN 
0-201-07981-X).

%prep
%setup -q -n awk-%{version}
%patch0 -p5


%build
make CFLAGS="%{optflags}" YACC='bison -y -d' CC="%{__cc}"

%install

# the nawk binary is saved as a.out so we need to make our directory
# and give the binary a good name
mkdir -p %{buildroot}%{_bindir}
cp a.out %{buildroot}%{_bindir}/nawk

mkdir -p %{buildroot}%{_mandir}/man1/
cp awk.1 %{buildroot}%{_mandir}/man1/nawk.1

%files
%doc FIXES README ChangeLog
%{_bindir}/nawk
%{_mandir}/man1/nawk.1*

%changelog
* Sat Oct 23 2021 Igor Vlasenko <viy@altlinux.org> 20180827-alt1_6
- update

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 20180827-alt1_5
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 20121220-alt1_12
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 20121220-alt1_11
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 20121220-alt1_10
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 20121220-alt1_9
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 20121220-alt1_7
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 20121220-alt1_6
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 20121220-alt1_5
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 20121220-alt1_3
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 20121220-alt1_2
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 20110810-alt1_5
- initial fc import

